﻿.text-validation, .text-secundario {
    color: #FC2E00;
    font-size: 12px;
    font-weight: 700;
    margin-bottom: 1.5rem;
}

.modal {
    --bs-modal-bg: #fafafa;
}

.modal-title {
    font-family: 'Subway Sans';
    font-weight: 400;
    font-size: 18px;
    line-height: 29px;
    letter-spacing: 0px;
    color: #00491E;
}
.modal-header {
    border-bottom: 0;
}

.close {
    float: right;
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    background: transparent;
    border: 0;
    opacity: 1;
    padding: 1rem 1rem;
    margin: -1.5rem -1rem -1rem auto;
}

.label-subwayCard {
    font-family: 'Subway Sans';
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0px;
    color: black;
}

.btn-aceptar {
    width: 250px;
    height: 45px;
    background-color: #008938;
    font-family: 'Subway Sans Condensed';
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    border-radius: 5px;
}

.btn-cancelar {
    width: 250px;
    height: 45px;
    background-color: #f0f3f1;
    font-family: 'Subway Sans Condensed';
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    border-radius: 5px;
}

.return-button {
    cursor: pointer;
}

p, label {
    font-family: 'Subway Sans';
}

.label-customerName {
    font-size: 17px;
    font-weight: 400;
}

.form-group-disabled label, .form-group-disabled input {
    background-color: #ebeaea !important;
}

.individual-overlay-detail {
    font-size: 20px;
    font-weight: bold;
    color: #ffffff;
    transition: all 0.2s ease;
}

.btn-number-detail {
    font-size: 1rem !important;
    padding: 0 0.3rem;
    background-color: transparent;
    border: 1px solid #008938 !important;
    color: #008938;
    height: auto;
    border-radius: 100%;
}

input.input-number-detail {
    width: 2rem;
    border: 1px solid transparent !important;
    border-radius: 5px;
    text-align: center;
    font-weight: 700;
    font-size: 1.3rem;
    align-self: center;
    outline: none;
    border: none;
    height: 2rem;
}

/*Modal de agregado a la bolsa */

.container-total {
    display: flex;
    flex-direction: column;
    max-height: 27vh;
    overflow: hidden;
    border: 1px solid #EEEEEE;
    border-radius: 10px;
    padding: 0.5rem;
}

.scroll-container {
    flex: 1;
    overflow-y: auto;
    padding-right: 4px;
}

    .scroll-container::-webkit-scrollbar {
        width: 4px;
    }

    .scroll-container::-webkit-scrollbar-thumb {
        background: #ccc;
        border-radius: 2px;
    }

.product-added {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.product-img {
    height: 3rem;
}

.product-info p {
    margin: 0;
}

.product-name {
    font-family: 'Subway Sans';
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
    font-weight: 500; /* Medium */
    color: #000;
}

.product-desc {
    font-family: 'Subway Sans';
    font-size: 12px;
    line-height: 18px;
    letter-spacing: 0px;
    font-weight: 400; /* Regular */
    color: #808080;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.offer-card {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 12px;
    padding: 0.75rem 0.2rem;
    margin-top: 1rem;
}

.offer-left {
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

.offer-img {
    border-radius: 8px;
    width: 50px;
    height: 50px;
    object-fit: cover;
}

.offer-text {
    font-family: 'Subway Sans';
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
    font-weight: 400; /* Regular */
    color: #000000;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0;
}

.btn-offer {
    font-family: 'Subway Sans';
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0px;
    font-weight: 400; /* Regular */
    background-color: #009739;
    color: white;
    border: none;
    border-radius: 12px;
    padding: 0.3rem 1rem;
    font-weight: 500;
    transition: background 0.2s;
}

    .btn-offer:hover {
        background-color: #007d2e;
    }

.total-row {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
    font-size: 16px;
    position: sticky;
    bottom: 0;
    background: #fff;
    padding-top: 1rem;
    padding-bottom: 1rem;
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #eee;
    z-index: 10; /* asegura que quede sobre el scroll */
}

.title-total {
    font-family: 'Subway Sans';
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
    font-weight: 500; /* Medium */
    color: #000;
}

.price-total {
    font-family: 'Subway Sans';
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
    font-weight: 500; /* Medium */
    color: #000;
}

.suggest-title-bag {
    font-family: 'Subway Sans';
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    font-weight: 500; /* Medium */
    color: #000;
    margin-top: 1rem;
}

.suggest-carousel-bag {
    display: flex;
    gap: 1rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    padding-bottom: 0.5rem;
    scroll-behavior: smooth;
}
/* Mobile */
@media (max-width: 575px) {
    .suggest-carousel-bag::-webkit-scrollbar {
        display: none; /* Oculta la barra de scroll */
    }
}

/*Tablet*/

@media (min-width: 576px) and (max-width: 991px) {
    .suggest-carousel-bag::-webkit-scrollbar {
        display: none; /* Oculta la barra de scroll */
    }
}
.suggest-carousel-bag::-webkit-scrollbar {
    height: 4px;
}

.suggest-carousel-bag::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 2px;
}

.suggest-card-bag {
    width: 325px;
    height: 96px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 12px;
    padding: 0.5rem 0.75rem;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1);
    background: #fff;
    scroll-snap-align: start;
    flex-shrink: 0;
}

.suggest-img-bag {
    width: 6rem;
    height: auto;
    border-radius: 8px;
}

.suggest-info-bag {
    flex-grow: 1;
}

.suggest-name-bag {
    font-family: 'Subway Sans';
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
    font-weight: 500; /* Medium */
    color: #000;
    margin: 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 190px;
}

.suggest-price-bag {
    font-family: 'Subway Sans';
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0px;
    font-weight: 400; /* Regular */
    color: #000;
    margin: 0;
}

.btn-add-suggest-bag {
    background-color: #fff;
    color: #008938;
    border: 1px solid #008938;
    border-radius: 50%;
    width: 32px;
    height: 32px;
    font-size: 20px;
    line-height: 0;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.2s;
    margin-left: -1.7rem;
}

.suggest-extra-bag {
    width: 40px;
    height: auto;
}

.title-added-bag {
    font-family: 'Subway Sans', sans-serif;
    font-weight: 700;
    font-size: 18px;
    color: #000;
}

.icon-cart-wrapper {
    position: relative;
    display: inline-block;
}

/* Badge visual */
.qtyProds {
    position: absolute;
    top: 0rem;
    right: -1.3rem;
    background: #008938;
    color: #fff;
    font-family: 'Subway Sans Condensed';
    font-weight: 400;
    font-size: 16px;
    padding: 6px;
    border-radius: 50%;
    min-width: 27px;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 1;
}

.remove-single{
    right: 1rem !important;
}
.btn-add-card {
    background-color: #008938;
    font-family: 'Subway Sans Condensed';
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    border-radius: 5px;
}
.modal-title {
    font-weight: 700 !important;
}
.modal-body .form-group {
    margin-bottom: 1rem;
}
.btn-button-Agregar-TarjetasA {
    width: 315px;
    height: 45px;
    background-color: #008938;
    border: 1px solid #008938;
    font-family: 'Subway Sans Condensed';
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0px;
    font-weight: 500;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 3rem;
    margin-bottom: 0.4rem;
}
.btn-button-back-Tarjetas {
    width: 315px;
    height: 45px;
    background-color: #F2B700;
    border: 1px solid #F2B700;
    font-family: 'Subway Sans Condensed';
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0px;
    font-weight: 500;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    /* margin-left: 3rem; */
}
.direction-name {
    width: 348px;
    height: 38px;
    padding: 6px 0px 0px 12px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
}
.PruebaA {
    margin-left: -9rem;
}
.inputSubway {
    height: 45px;
    padding: 0px 0px 0px 12px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
    color: grey;
    margin-top: .5rem !important;
}
.form-select-id {
    border: 1px solid #d0d0d0;
    padding: 7px 6px;
    display: inline-block;
    width: 100%;
    overflow: hidden;
    position: relative;
    z-index: 1;
    box-sizing: border-box;
    border-radius: 3px;
    color: grey;
    height: 45px;
    background-color: transparent;
    margin-top: .5rem !important;
}
.incomplete-billing-data {
    border: solid 1px #E4002B;
    color: #E4002B;
}
.container-add-products {
    display: flex;
    flex-direction: row;
    align-items: start;
    width: 100%
}
.green-amounts {
    font-weight: 700;
    color: #008938;
}
.articulo{
    font-family: 'Subway Sans';
}

.modal-body .form-group label {
    top: 1rem;
    left: 0.5rem;
}

.modal-body .form-group input:focus + label,
.modal-body .form-group input:not(:placeholder-shown) + label {
    top: 0.2rem;
    left: 0.5rem;
}

/* Vista Venta Sugestiva */

#redeem-container-principal {
    max-width: 800px;
}

.page-center {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.title-total-points {
    font-family: 'Subway Sans';
    font-weight: 700;
    font-size: 26px;
    line-height: 34px;
    color: #000000;
    letter-spacing: 0px;
    margin-top: 3rem;
    text-align: start !important;
}

    .title-total-points span {
        font-family: 'Subway Sans';
        font-size: 32px;
        font-weight: 700; /* Bold */
        color: #008938;
    }

.recommended-instructions {
    font-family: 'Subway Sans';
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 22px;
    color: #000000;
    letter-spacing: 0px;
    margin-bottom: 1rem;
}

.rewards-container {
    margin: 16px;
    padding: 12px;
    max-height: 42vh;
    min-height: 42vh;
    overflow-y: auto;
    background: #fff;
    border-radius: 16px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
    margin-top: 25px;
}

    /* Scroll */
    .rewards-container::-webkit-scrollbar {
        width: 5px;
        border-radius: 16px;
    }

    .rewards-container::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 16px;
    }

.reward-item {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 12px;
    margin-bottom: 8px;
}

.product-redeem-img {
    width: 48px;
    height: auto;
    border-radius: 8px;
}

.redeem-info {
    width: 130px !important;
    flex-grow: 1;
    margin-left: 0.75rem;
}

.product-redeem-name {
    font-family: 'Subway Sans';
    font-size: 15px;
    font-weight: 500; /* Medium */
    line-height: 20px;
    color: #000;
    margin: 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 145px;
}

.reward-points {
    font-family: 'Subway Sans';
    font-size: 16px;
    font-weight: 700; /* Bold */
    color: #008938;
}

.bag-item-controls-redeem {
    display: flex;
    align-items: center;
    gap: 0.1rem;
    margin-right: 1rem;
}

.quantity-btn-redeem {
    background: none;
    border: none;
    font-size: 25px;
    font-weight: 500;
    cursor: pointer;
    color: #000;
}

.redeem-quantity {
    font-family: 'Subway Sans';
    font-size: 22px;
    line-height: 24px;
    letter-spacing: 0.5px;
    font-weight: 500; /* Medium */
    color: #000;
    text-align: center;
    border: 0;
    width: 25px;
}

.btn-redeem-container {
    display: flex;
    justify-content: end;
}

.btn-redeem {
    padding: 6px 14px;
    border-radius: 16px;
    border: none;
    font-family: 'Subway Sans';
    font-weight: 400; /* Regular */
    font-size: 13px;
    background: grey;
    color: #fff;
    transition: background 0.2s ease;
    margin-top: 8px;
}

    .btn-redeem.active {
        background: #008938;
    }

.recommended-title {
    font-family: 'Subway Sans';
    font-weight: 700; /* Bold */
    font-size: 26px;
    line-height: 34px;
    color: #000000;
    letter-spacing: 0px;
    margin-top: 40px;
}

.recommended-redeem-carousel {
    max-width: 800px;
    display: flex;
    gap: 1rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    padding-bottom: 0.5rem;
    scroll-behavior: smooth;
    margin-top: 1rem;
    background-color: #ffffff;
}

    .recommended-redeem-carousel::-webkit-scrollbar {
        width: 3px;
        height: 10px;
        /*display: none; Oculta la barra de scroll */
    }

    .recommended-redeem-carousel::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 16px;
    }

.recommended-redeem-card {
    width: 305px;
    height: 96px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 16px;
    padding: 0.5rem 0.75rem;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
    background: #fff;
    scroll-snap-align: start;
    flex-shrink: 0;
}

.recommended-redeem-img {
    width: auto;
    height: 48px;
    border-radius: 8px;
}

.recommended-redeem-info {
    width: 116px !important;
    flex-grow: 1;
    margin-left: 0.75rem;
}

.recommended-redeem-name {
    font-family: 'Subway Sans';
    font-size: 15px;
    font-weight: 500; /* Medium */
    line-height: 20px;
    color: #000;
    margin: 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 115px;
}

.recommended-redeem-points {
    font-family: 'Subway Sans';
    font-size: 16px;
    font-weight: 700; /* Bold */
    color: #008938;
}

.button-confirm-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
    margin-bottom: 4rem;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    padding: 1rem 1rem;
    z-index: 1000;
    gap: 0.5rem;
}

.btn-confirm {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 335px;
    height: 48px;
    font-family: 'Subway Sans Condensed';
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: #ffffff;
    background-color: #008938;
    border-radius: 8px;
    border: none;
    text-transform: uppercase;
    text-decoration: none;
}
.btn-back {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 335px;
    height: 48px;
    font-family: 'Subway Sans Condensed';
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: #000;
    background-color: #f0f3f1;
    border-radius: 8px;
    border: none;
    text-transform: uppercase;
    text-decoration: none;
}
.redeemed-btn {
    background-color: #01471d;
}

/* Media Querys */

/* Mobile */

@media (max-width: 575px) {

    .modal-body .form-group label {
        top: 1rem;
        left: 0.5rem;
    }

    .modal-body .form-group input:focus + label,
    .modal-body .form-group input:not(:placeholder-shown) + label {
        top: 0.2rem;
        left: 0.5rem;
    }

    /* Vista Venta Sugestiva */

    .redeem-principal-container {
        width: auto !important;
    }

    .title-total-points {
        width: auto !important;
        margin-top: 0rem;
        margin-left: 0rem !important;
    }

    .recommended-instructions {
        width: auto !important;
        margin-left: 0rem !important;        
    }

    .rewards-container {
        width: auto !important;
        margin-inline: 0 !important;
        padding-inline: 8px !important;
    }

    .reward-item {
        padding-inline: 0px !important;
    }

    .redeem-info {
        width: 69px !important;
    }

    .product-redeem-name {
        width: 120px !important;
    }

    .bag-item-controls-redeem {
        margin-right: 0rem !important;
        margin-top: 5px !important;
    }

    .quantity-btn-redeem {
        font-size: 20px !important;
    }

    .redeem-quantity {
        font-family: 'Subway Sans';
        font-size: 20px;
        line-height: 23px;
        letter-spacing: 0.5px;
        font-weight: 500;
        color: #000;
        text-align: center;
        border: 0;
        width: 25px;
    }

    .recommended-title {
        margin-left: 0rem !important;
    }

    .recommended-redeem-carousel {
        width: auto !important;
        margin-left: 0rem !important;
    }

    .button-confirm-container {
        justify-content: center !important;
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }
}

.update-data-form .form-group textarea {
    width: 315px;
    height: 100px;
    padding: 25px 12px 0px 12px;
    font-size: 12px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
}

.update-data-form .form-group label {
    position: absolute;
    top: 12px;
    left: 12px;
    color: #999;
    font-size: 14px;
    pointer-events: none;
    transition: 0.2s ease all;
    background: #fff;
    padding: 0 4px;
}


.update-data-form .form-group textarea:focus + label,
.update-data-form .form-group textarea:not(:placeholder-shown) + label {
    top: 1px;
    left: 8px;
    font-size: 12px;
    color: #4CAF50;
}